org.eclipse.graphiti.pattern.mapping

## Class MappingProviderProvider

- java.lang.Object
- - org.eclipse.graphiti.pattern.mapping.MappingProviderProvider

Direct Known Subclasses:
  DataMapping, StructureMapping

    public abstract class MappingProviderProvider
    extends java.lang.Object

The Class MappingProviderProvider.

### Constructor Summary

Constructors
Constructor and Description
`MappingProviderProvider(IMappingProvider mappingProvider)` Creates a new `MappingProviderProvider`.

### Method Summary

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MappingProviderProvider

    public MappingProviderProvider(IMappingProvider mappingProvider)

Creates a new `MappingProviderProvider`.

Parameters:
  `mappingProvider` - the mapping provider